## org.apache.cassandra.dht
Class BigIntegerToken

    java.lang.Object
      org.apache.cassandra.dht.Token<java.math.BigInteger>
          org.apache.cassandra.dht.BigIntegerToken

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Token<java.math.BigInteger>>, RingPosition<Token<java.math.BigInteger>>

    public class BigIntegerToken

extends Token<java.math.BigInteger>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.dht.Token
`Token.KeyBound, Token.TokenFactory<T>, Token.TokenSerializer`

Field Summary

Fields inherited from class org.apache.cassandra.dht.Token
`token`

Constructor Summary
`BigIntegerToken(java.math.BigInteger token)`
`BigIntegerToken(java.lang.String token)`

Method Summary
`int` `compareTo(Token<java.math.BigInteger> o)` This determines the comparison for node destination purposes.

Methods inherited from class org.apache.cassandra.dht.Token
`equals, getToken, hashCode, isMinimum, isMinimum, maxKeyBound, maxKeyBound, minKeyBound, minKeyBound, serializer, toString, upperBound`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BigIntegerToken

    public BigIntegerToken(java.math.BigInteger token)

### BigIntegerToken

    public BigIntegerToken(java.lang.String token)

Method Detail

### compareTo

    public int compareTo(Token<java.math.BigInteger> o)

  Description copied from class: `Token`
  This determines the comparison for node destination purposes.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Token<java.math.BigInteger>>`
  Specified by:
    `compareTo` in class `Token<java.math.BigInteger>`

Copyright © 2013 The Apache Software Foundation